This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 187622 - Review Request: cowbell
Review Request: cowbell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-01 18:35 EST by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 09:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec patch (1000 bytes, patch)
2006-05-02 20:17 EDT, John Mahowald
no flags Details | Diff

  None (edit)
Description Sindre Pedersen Bjørdal 2006-04-01 18:35:33 EST
Spec Name or Url: http://folk.ntnu.no/sindrb/packages/cowbell.spec
SRPM Name or Url: http://folk.ntnu.no/sindrb/packages/cowbell-0.2.6.1-1.src.rpm

Description: 

Cowbell is an elegant, album-based, music organizer
written by Brad Taylor in C# for Gtk+. Using TagLib,
it supports many audio formats including: Mp3, Ogg
Vorbis and MusePack
Comment 1 John Mahowald 2006-04-02 14:32:04 EDT
Build failed on x86_64. 

File not found: /var/tmp/cowbell-0.2.6.1-1-root-mockbuild/usr/lib64/cowbell

Apparently mono apps install to %{_prefix}/lib.
http://fedoraproject.org/wiki/Packaging/Mono

Need more cowbell!!!
Comment 2 Sindre Pedersen Bjørdal 2006-04-02 20:25:39 EDT
replaced %{_libdir} with %{_prefix}/lib/

hope this will fix x86_64 build issue.

Updated spec: http://folk.ntnu.no/sindrb/packages/cowbell.spec
SRPM: http://folk.ntnu.no/sindrb/packages/cowbell-0.2.6.1-2.src.rpm

Comment 3 John Mahowald 2006-04-18 22:50:53 EDT
Builds now, but for some reason I cannot add anything to the database. Possibly
the latest 0.2.7 release fixes it.
Comment 4 John Mahowald 2006-05-02 20:14:16 EDT
0.2.7 builds but crashes when music is imported. Traced the problem to cowbell
looking for libglib-2.0.so but on my system it is libglib-2.0.so.0  Symlinking
it works, perhaps cowbell can be made to look there or glib2 made to provide a link.
Comment 5 John Mahowald 2006-05-02 20:17:42 EDT
Created attachment 128528 [details]
spec patch

Fairly trivial, bumps version to 0.2.7. Doesn't split of a devel subpackage,
which may be necessary.
Comment 6 Sindre Pedersen Bjørdal 2006-05-03 05:18:45 EDT
Updated spec: http://folk.ntnu.no/sindrb/packages/cowbell.spec
Updated SRPM: http://folk.ntnu.no/sindrb/packages/cowbell-0.2.7-1.src.rpm

Does this build and run cleanly on x86_64 now?
Comment 7 Michael Schwendt 2006-05-03 09:55:51 EDT
It should look for libglib-2.0.so.0 (not libglib-2.0.so which belongs
into the glib2-devel package).
Comment 8 Sindre Pedersen Bjørdal 2006-05-03 13:13:55 EDT
This has been pushed upstream, new release imminent. I'll update the spec
accordingly as soon as the new release is out.
Comment 9 Sindre Pedersen Bjørdal 2006-05-09 05:45:22 EDT
New release is out, this should fix the glib dependency. 

Updated spec: http://folk.ntnu.no/sindrb/packages/cowbell.spec
SRPM: http://folk.ntnu.no/sindrb/packages/cowbell-0.2.7.1-1.src.rpm
Comment 10 Brian Pepple 2006-05-11 11:31:25 EDT
MD5Sums:
fcf32bcf60be2ca204519192eb26bacc  cowbell-0.2.7.1.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly on FC5

Bad:
* Missing scriptlets for GTK+ icon cache.
http://fedoraproject.org/wiki/ScriptletSnippets#head-fc74f078205565f961f6d836b77c3428619c689d
* Missing Requires for mono-core & gtk-sharp2

Minor:
* Why package the static lib? Pass the --disable-static flag to configure, and
remove '%{_libdir}/cowbell/libtaglibsharpglue.a' from your files.
* Unnecessary BR on gettext.  This is included in the minimum build environment
in Mock.
* I would drop the ChangeLog from the docs, since the NEWS file basically
contains the same info.
Comment 11 Sindre Pedersen Bjørdal 2006-05-11 11:48:20 EDT
Updated spec: http://folk.ntnu.no/sindrb/packages/cowbell.spec
SRPM: http://folk.ntnu.no/sindrb/packages/cowbell-0.2.7.1-2.src.rpm

Changes:
- Add missing mono-core and gtk-sharp2 Requires
- Add scriplets for gtk+ icon cache
- Removed ChangeLog from %doc
- Don't include static library 
- Remove gettext BuildRequires
Comment 12 Brian Pepple 2006-05-11 18:05:04 EDT
Changes in response to the review in comment #10 look good.

* rpmlint is clean.

+1 PUBLISH

Note You need to log in before you can comment on or make changes to this bug.